diff --git a/contrib/sepgsql/relation.c b/contrib/sepgsql/relation.c
index 14c877e..ed64022 100644
--- a/contrib/sepgsql/relation.c
+++ b/contrib/sepgsql/relation.c
@@ -432,7 +432,12 @@ sepgsql_relation_drop(Oid relOid)
 			/* ignore indexes on toast tables */
 			if (get_rel_namespace(relOid) == PG_TOAST_NAMESPACE)
 				return;
-			/* other indexes are handled specially below; no need for tclass */
+			/*
+			 * deletion of index is treated as property update of the table
+			 * being indexed, so no need to assign particular tclass here,
+			 * but we put invalid one for compiler quite.
+			 */
+			tclass = SEPG_CLASS_MAX;
 			break;
 		default:
 			/* ignore other relkinds */
